/* main.c: The main function.
 *
 * $Id: main.c,v 1.4 2003/02/07 08:21:20 andy Exp $
 *
 * Copyright (C) 2002 Andy Goth <unununium@openverse.com>
 * For more information visit http://ioioio.net/devel/install-log/
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA  02111-1307, USA. */

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <string.h>
#include "install-log.h"

/* So ubiquitous, it needs no comment. */
int main(int argc, char** argv)
{
	char* name;
	char* version;
	char* extension;
	
	get_config(argc, argv);
	get_timestamp();
	read_db();
	find_all();
	find_old_and_del_files();
	write_db();
	touch_timestamp();
	if (edit) edit_database();
	else if (!quiet) report_old_and_del_files();

	return EXIT_SUCCESS;
}

/* EOF */
